#pragma once
#ifndef _TRIANGLE_H_
#define _TRIANGLE_H_

#include <string>
#include <cmath>
#include <vector>

struct vertex
{
        float x = 0.0;
        float y = 0.0;
        float z = 0.0;
        float r = 0.0;
        float g = 0.0;
        float b = 0.0;
};
 
class Tri
{
        public:
          Tri();
          Tri(vertex &one, vertex &two, vertex &three);
          std::vector<vertex> v;
          float xmin;
          float xmax;
          float ymin;
          float ymax;
          float area;
};

float findArea(vertex &one, vertex &two, vertex &three);

#endif
